# Delete an order

This function cancels an order and removes the polling for a pending certificate.

Endpoint: GET /Market/cancel_pending_ssl_certificate
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `order_item_id` (string, required)
    The ID of the ordered item to cancel.
    Example: "10427508"

  - `provider` (string, required)
    The cPanel Market provider's name.
    Example: "cPStore"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "cancel_pending_ssl_certificate"

  - `module` (string)
    The name of the module called.
    Example: "Market"

  - `result` (object)

  - `result.data` (array)
    An object containing order information.

  - `result.data.created_time` (integer)
    When the system created the order.
    Example: 1458061262

  - `result.data.csr` (string)
    The text of the Certificate Request (CSR).
    Example: "-----BEGIN CERTIFICATE REQUEST-----\nMIIC0TCCAbkCAQAwGzEZMBcGA1UEAxMQY29icmFzc2x0ZXN0Lm9yZzCCASIwDQYJ\nKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKsZWNkF8hjUjoCDNNSkXO0CTp/z/0pu\niFiDMzdFAa6mg5wr97EwRBCniSvJEJ1rdQ0Sus2AAK9hg7TeZAWbFf97r7mS0chm\nr27Ht9qfit3r0EJLYcjRjnZ/wj21ZhsdjQIjjTRiI1TvXtOQRAQpWNsGxK7QV3Q3\nnjkSM/gTpteHuC3JAQxbpv72B+IjiyzUZr8DOUOoB94IO5iP27UXnkSbExInDvqu\nK43zVGYNU0Zev20A6SBWU3BALjWXHlYjwbC109FxOWNssHTg3xvePsBxzk6BFDcT\nS/QAS0tFYPfHZKmCBg6irBGFOdTjSDVmFk8zAoFYibev0juRJCMn2XsCAwEAAaBx\nMG8GCSqGSIb3DQEJDjFiMGAwXgYDVR0RAQH/BFQwUoIQY29icmFzc2x0ZXN0Lm9y\nZ4IUd3d3LmNvYnJhc3NsdGVzdC5vcmeCEWNwYW5lbHNzbHRlc3Qub3JnghV3d3cu\nY3BhbmVsc3NsdGVzdC5vcmcwDQYJKoZIhvcNAQELBQADggEBAG0l4aChMO1rSmgR\nSF5qlKu785n5YS5rTE9ev+OFu0952DvjVAB0R8y5+TZSXfg+9CH7pa2VDosAEYF4\nyjUJOuiwwVEUD/9Qhrls/2xT8KKk0QSxuWmOgP2YQy/QRH+W7ykoigtiWdXEIUuF\niJmeavS8JOYt560366V3dw7YT+QstUHQ7UlGEFDeWQI3osUN1wDrtW5qcaq09Q/G\nTcphzXrRkL5lRjKXKLIcY/HVYzOnoEX30ALX2I3bJ9s4IMRfpnhTqLmWalcr+4vq\nvqVnlB0B/nXf/qaB/xvxmEtSGx/GZ/8Gsrf5PB7GhRuStUtJoXcLuADK0bgug3X2\nGxEruS4=\n-----END CERTIFICATE REQUEST-----\n"

  - `result.data.domains` (array)
    A list of domains on the certificate.
    Example: ["example1.com","example2.com"]

  - `result.data.expired` (integer)
    Whether the system has deleted the item from the pending queue.
* 1 - Deleted.
* 0 - Not deleted.
    Enum: 0, 1

  - `result.data.first_poll_time` (integer)
    The first time that the system polled the provider for the certificate.
    Example: 1458061262

  - `result.data.last_poll_time` (integer)
    The last time that the system polled the
provider for the certificate.
    Example: 1458061262

  - `result.data.last_status_code` (string)
    The last status code of the order.
* CertificateNotFound - The system cannot locate the specified certificate.
* RequiresApproval - The specified certificate requires approval.
* OrderCanceled - The system cancelled the order of the specified certificate.
* OrderItemCanceled - The system cancelled the order item of the specified certificate.
    Enum: "CertificateNotFound", "RequiresApproval", "OrderCanceled", "OrderItemCanceled"

  - `result.data.order_id` (string)
    The ID of the order.
    Example: "1392472"

  - `result.data.order_item_id` (string)
    The ID of the ordered item.
    Example: "10427508"

  - `result.data.product_id` (string)
    The product's ID.
    Example: "143"

  - `result.data.provider` (string)
    The cPanel Market provider's name.
    Example: "cPStore"

  - `result.data.status` (string)
    The status of the order.
* confirmed - Payment confirmed.
* unconfirmed - Payment not confirmed.
    Enum: "confirmed", "unconfirmed"

  - `result.data.support_uri` (string)
    The URI of the cPanel Market Provider's support site.
    Example: "http://support.example.com/"

  - `result.data.vhost_names` (array)
    A list of virtual host names.
    Example: ["abcde.com"]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings
describe non-critical failures or other problematic conditions
noted while running an API.


